Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=gcc6.git;a=commitdiff;h=d658bf99ac3379a0f46f8f3f81d8a4686466b875

commit d658bf99ac3379a0f46f8f3f81d8a4686466b875
Author: crazy <cr...@frugalware.org>
Date:   Tue Sep 20 04:43:22 2016 +0200

ghostscript-9.19-1-x86_64
* Version bump

diff --git a/source/apps/ghostscript/FrugalBuild 
b/source/apps/ghostscript/FrugalBuild
index 7cb4c02..8079d33 100644
--- a/source/apps/ghostscript/FrugalBuild
+++ b/source/apps/ghostscript/FrugalBuild
@@ -7,29 +7,29 @@
##        - remove xghostscript and built ghostscript with
##          X/mesa/glu .. maybe add GTK3 GUI

+## TODO: split the dam lib(s) -- crazy --
pkgname=ghostscript
-pkgver=9.18
-pkgrel=2
+pkgver=9.19
+pkgrel=1
pkgdesc="An interpreter for the PostScript language."
-depends=('libcups>=1.6.1' 'openssl>=1.0.0' 'libkrb5' 'gnutls>=3.4.2')
-rodepends=('foomatic-filters' 'urw-fonts')
-makedepends=('libxt' 'libxext' 'cups' 'krb5' 'x11-protos')
+depends=('libcups>=2.2.0-2' 'openssl>=1.0.2-8' 'libkrb5>=1.14.4' 
'gnutls>=3.4.15-2')
+rodepends=('foomatic-filters>=4.0.17-5' 'urw-fonts')
+makedepends=('libxt>=1.1.5-3' 'libxext>=1.3.3-3' 'cups>=2.2.0-2' 
'krb5>=1.14.4' 'x11-protos')
groups=('apps')
-archs=('i686' 'x86_64' 'arm')
+archs=('i686' 'x86_64')
license="GPLv2"
url="http://www.ghostscript.com/";
up2date="lynx -dump -source http://www.ghostscript.com/download/gsdnld.html | 
grep -m1 'ghostscript-\(.*\).tar.gz' | sed 's/.*script-\(.*\).tar.*/\1/'"
-source=(http://downloads.ghostscript.com/public/$pkgname-$pkgver.tar.bz2 \
-       ghostscript-gpl-9.18-gserrors.h-backport.patch)
-sha1sums=('388fea50a38e422a4c6ff27c184491bf5ecb96e1' \
-          'ca686fed1af36d1f9fa866b47ff129c71d6a19ff')
+#source=(http://downloads.ghostscript.com/public/$pkgname-$pkgver.tar.gz)
+source=(https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs${pkgver/./}/ghostscript-${pkgver}.tar.bz2)
+sha1sums=('6ac5c1fb665b3201622e1149f04c641c506bf6c4')

subpkgs=('xghostscript')
subdescs=('A graphical interpreter for the PostScript language.')
-subdepends=("libxt libxext cups urw-fonts")
-subrodepends=("foomatic-filters")
+subdepends=("libxt>=1.1.5-3 libxext>=1.3.3-3 cups>=2.2.0-2 urw-fonts")
+subrodepends=("foomatic-filters>=4.0.17-5")
subgroups=('xapps')
-subarchs=('i686 x86_64 arm')
+subarchs=('i686 x86_64')
subconflicts=('ghostscript')
subprovides=('ghostscript')
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to